Attribute VB_Name = "APITimer"
Option Explicit

Private Declare Function timeKillEvent Lib "winmm.dll" ( _
  ByVal uID As Long) As Long

Private Declare Function timeSetEvent Lib "winmm.dll" ( _
  ByVal uDelay As Long, _
  ByVal uResolution As Long, _
  ByVal lpFunction As Long, _
  ByVal dwUser As Long, _
  ByVal uFlags As Long) As Long

Private Const TIME_PERIODIC As Long = 1&

Public Busy As Boolean  'True, solange die FireTimer-Prozedur noch ausgefhrt wird

Dim TimerID As Long

'Timer starten
Public Sub StartTimer(Interval As Long)
    TimerID = timeSetEvent(Interval, 10000, _
      AddressOf TimerClb, 0, TIME_PERIODIC)
End Sub

'Timer stoppen
Public Sub StopTimer()
    Call timeKillEvent(TimerID)
End Sub

'Timer-Ereignis
Public Sub TimerClb(ID As Long, Msg As Long, LngUser As Long, _
  Lng1 As Long, Lng2 As Long)

    'Timer auslsen (Aber nur, wenn die FireTimer-Prozedur fertig
    'abgearbeitet ist!)
    'Durch das Senden der Windows-Message wird bei der PicBox das
    'MouseMove-Ereignis ausgelst.
    If Not Busy Then
        Call PostMessageA(frmMain.picTimer.hwnd, WM_MOUSEMOVE, 0&, 0&)
    End If
End Sub
